CRM
Update deal
PATCH
/
v1
/
crm
/
deals
/
{dealID}
Update deal
curl --request PATCH \
--url https://api.wazapin.com/v1/crm/deals/{dealID} \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"amount": "<string>",
"currency": "<string>",
"custom_fields": "<unknown>",
"expected_close_at": "<string>",
"metadata": "<unknown>",
"owner_user_id": "<string>",
"stage_id": "<string>",
"status": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
amount: '<string>',
currency: '<string>',
custom_fields: '<unknown>',
expected_close_at: '<string>',
metadata: '<unknown>',
owner_user_id: '<string>',
stage_id: '<string>',
status: '<string>'
})
};
fetch('https://api.wazapin.com/v1/crm/deals/{dealID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/crm/deals/{dealID}"
payload = {
"title": "<string>",
"amount": "<string>",
"currency": "<string>",
"custom_fields": "<unknown>",
"expected_close_at": "<string>",
"metadata": "<unknown>",
"owner_user_id": "<string>",
"stage_id": "<string>",
"status": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"amount_in_home_currency": "<string>",
"amount_minor": "<string>",
"created_at": "<string>",
"currency_code": "<string>",
"custom_fields": "<unknown>",
"display_currency": "<string>",
"display_currency_minor": "<string>",
"display_currency_unit": 123,
"expected_close_at": "<string>",
"home_currency_at_write": "<string>",
"id": "<string>",
"metadata": "<unknown>",
"minor_unit": 123,
"owner_user_id": "<string>",
"source_conversation_id": "<string>",
"stage_id": "<string>",
"status": "<string>",
"title": "<string>",
"updated_at": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
Body
application/json
Response
OK
⌘I
Update deal
curl --request PATCH \
--url https://api.wazapin.com/v1/crm/deals/{dealID} \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"amount": "<string>",
"currency": "<string>",
"custom_fields": "<unknown>",
"expected_close_at": "<string>",
"metadata": "<unknown>",
"owner_user_id": "<string>",
"stage_id": "<string>",
"status": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
amount: '<string>',
currency: '<string>',
custom_fields: '<unknown>',
expected_close_at: '<string>',
metadata: '<unknown>',
owner_user_id: '<string>',
stage_id: '<string>',
status: '<string>'
})
};
fetch('https://api.wazapin.com/v1/crm/deals/{dealID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/crm/deals/{dealID}"
payload = {
"title": "<string>",
"amount": "<string>",
"currency": "<string>",
"custom_fields": "<unknown>",
"expected_close_at": "<string>",
"metadata": "<unknown>",
"owner_user_id": "<string>",
"stage_id": "<string>",
"status": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"amount_in_home_currency": "<string>",
"amount_minor": "<string>",
"created_at": "<string>",
"currency_code": "<string>",
"custom_fields": "<unknown>",
"display_currency": "<string>",
"display_currency_minor": "<string>",
"display_currency_unit": 123,
"expected_close_at": "<string>",
"home_currency_at_write": "<string>",
"id": "<string>",
"metadata": "<unknown>",
"minor_unit": 123,
"owner_user_id": "<string>",
"source_conversation_id": "<string>",
"stage_id": "<string>",
"status": "<string>",
"title": "<string>",
"updated_at": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}